import { IMapGuideImageSource } from "./common";
import olMapGuideSource from "ol/source/ImageMapGuide";
import { OLMapGuideImageSourceOptions } from './ol-types';
/**
 * @hidden
 */
export declare function isMapGuideImageSource(arg: any): arg is IMapGuideImageSource;
/**
 * @hidden
 */
export declare function createMapGuideSource(options: OLMapGuideImageSourceOptions): olMapGuideSource;
